var y x ynat pi mu;

varexo ex eynat emu epi;

parameters alpha m beta1 beta2 delta;

alpha = 0.7;
beta1=0.6;
beta2=0.3;
delta=0.2;
m=0.01;

model(linear);
  y  = ynat + x;
  ynat = mu + eynat;
  mu = m + emu;
  x  = alpha*x(-1) + ex; //beta*g(-2)+ eg;
  pi=beta1*pi(+1)+beta2*pi(-1)+delta*x+epi;
end;

initval;
y=0.01;
x=0;
ynat=0.01;
mu=0.01;
pi=0;
end;
model_diagnostics;
steady(nocheck);
//resid(1);
//options_.steadystate.nocheck;

estimated_params;
stderr emu     , inv_gamma_pdf,  0.002  , inf;
stderr eynat   , inv_gamma_pdf,  0.002  , inf;
stderr ex      , inv_gamma_pdf,   0.06 , inf;
alpha, normal_pdf, 0.7, 0.1;
beta1, normal_pdf, 0.6, 0.1;
beta2, normal_pdf, 0.3, 0.1;
delta, normal_pdf, 0.2, 0.05;
m,     normal_pdf, 0.01, 0.01;
end;

varobs y pi; 

//options_.kalman_algo = 4;
estimated_params_init (use_calibration);
end;

estimation(datafile=dataex,nobs=214, mh_replic=3000, mode_compute=6, mh_nblocks=2, mh_jscale=0.3, filtered_vars, smoother, diffuse_filter, keep_kalman_algo_if_singularity_is_detected) ynat x mu; 

//estimation(datafile=mydata, nobs=215, mh_replic=20000,mh_nblocks=5,mh_jscale=0.3, filtered_vars,smoother,diffuse_filter)yp g;
